Delete Score

Soft-delete a score. Only the creator or org admin can delete.

Delete Score

Soft-delete an annotation score by its ID. Only the user who created the score or an organization admin can perform this action.

DELETE https://api.futureagi.com/model-hub/scores/{id}/
Bearer
          Click "Try It" to send a request
        

Authentication

All requests require authentication via API keys:

HeaderDescription
X-Api-KeyYour API key
X-Secret-KeyYour secret key

Path Parameters

id string Required

UUID of the score to delete.

Response

deleted boolean
Returns true when the score has been successfully soft-deleted.

Note

This performs a soft-delete. The score record is marked as deleted but not permanently removed from the database. The associated legacy TraceAnnotation is also soft-deleted.

Code Examples

import requests

score_id = "your-score-uuid"
url = f"https://api.futureagi.com/model-hub/scores/{score_id}/"
headers = {
    "X-Api-Key": "YOUR_API_KEY",
    "X-Secret-Key": "YOUR_SECRET_KEY",
}

response = requests.delete(url, headers=headers)
print(response.json())  # {"deleted": true}
const scoreId = "your-score-uuid";

const response = await fetch(
  `https://api.futureagi.com/model-hub/scores/${scoreId}/`,
  {
    method: "DELETE",
    headers: {
      "X-Api-Key": "YOUR_API_KEY",
      "X-Secret-Key": "YOUR_SECRET_KEY",
    },
  }
);

const data = await response.json();
console.log(data); // { deleted: true }
curl -X DELETE "https://api.futureagi.com/model-hub/scores/your-score-uuid/" \
  -H "X-Api-Key: YOUR_API_KEY" \
  -H "X-Secret-Key: YOUR_SECRET_KEY"
Was this page helpful?

Questions & Discussion